<template>
  <v-container>
    <v-row
      align="center"
      justify="center"
    >
      <v-col
        :cols="nbCols"
      >
        <h1 class="text-h4 primary--text text-center font-weight-bold">
          {{ $t('title') }}
        </h1>
      </v-col>
    </v-row>
    <v-row  
      v-if="tools"
      align="center"
      justify="center"
    >
      <v-col
        :cols="nbCols"
      >
        <h2 class="font-weight-bold">
          {{ $t('subtitle') }}
        </h2>
      </v-col>
    </v-row>

    <v-row
      align="center"
      justify="center"
    >
      <v-col
        :cols="nbCols"
        v-html="$t('intro', { link: '/contact' })"
      />
    </v-row>

    <v-row
      v-for="(tool, i) in tools"
      :key="i"
      align="center"
      justify="center"
    >
      <v-col
        :cols="nbCols"
      >
        <h3>{{ tool.title }}</h3>
        <v-row>
          <v-col
            v-for="(item, j) in tool.items"
            :key="j"
            cols="4"
            lg="4"
            md="8"
          >
            <ToolBoxItem
              :title="item.title"
              :image="item.image"
              :text-download="item.textDownload"
              :download-link="item.downloadLink"
              :link1="item.link1"
              :text-logo1="item.textLogo1"
            />
          </v-col>
        </v-row>
      </v-col>
    </v-row>

    <!-- widget -->
    <v-row
      align="center"
      justify="center"
      class="mt-10"
    >
      <v-col :cols="nbCols">
        <h2>{{ $t('widget.title') }}</h2>
        <platform-get-widget />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/utilities/ToolBox/ToolBox/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/utilities/ToolBox/ToolBox/";

import PlatformGetWidget from '@components/utilities/platformWidget/PlatformGetWidget';
import ToolBoxItem from "@components/utilities/ToolBox/ToolBoxItem";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
export default {
  components:{
    PlatformGetWidget,
    ToolBoxItem
  },
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'fr': MessagesMergedFr,
      'eu': MessagesMergedEu
    },
  },
  props: {},
  data() {
    return {
      tools: this.$t('tools'),
      nbCols:10
    }
  }
};
</script>
